@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');


:root {
    font-family: 'Montserrat', sans-serif;
    --grid-gap: 1.5rem;
}

html, body {
    height: 100%;
    width: 100%;
    margin: 0;
    padding: 0;
}

body {
    box-sizing: border-box;
    padding: 1rem;
}

.sidebar-content {
    display: grid;
    grid-template-columns: 1fr 4fr 1fr;
}

.grid-row {
    display: grid;
    grid-template-columns: 2fr 2fr 2fr;
    gap: var(--grid-gap)
}

.grid-parent {
    --rad: var(--grid-gap);
    border-radius: var(--rad);

    display: grid;

    position: relative;

    transition: border-radius 0.5s ease;

    &:hover, &:focus-within {
        --rad: calc(var(--grid-gap)/2.5);
    }

    .options {
        --mar: 0.5rem;
        position: absolute;
        top: var(--mar);
        right: var(--mar);

        /* margin: var(--mar); */
        height: 1.5rem;

        display: flex;
        gap: var(--mar);

        .option {
            aspect-ratio: 1;
            border-radius: calc(var(--rad)/var(--mar));
        }
    }
}

.grid-item {
    padding: var(--grid-gap);
    border: solid 2px black;
    border-radius: var(--rad);

    display: flex;
    flex-direction: column;
    align-items: center;
    gap: var(--grid-gap);

    text-decoration: none;

    overflow: hidden;
    transition: inherit;

    :is(img, .img) {
        width: 64px;
        aspect-ratio: 1;
    }

    .img {
        font-size: 3.45lh;
        color: initial;
    }

    .title {
        margin-inline: auto;
        margin-block: 0;

        width: fit-content;

        word-wrap: break-word;
        text-align: center;

        text-decoration: underline solid inherit;

        @supports (text-wrap: balance) {
            text-wrap: balance;
        }
    }
}

.title-parent {
    flex: 1;
    width: 100%;

    display: grid;
    place-items: center;
}

.option {
    background-color: transparent;
    color: inherit;
    border: none;

    font-family: inherit;
    font-size: inherit;
    font-weight: inherit;
    text-decoration: none;
}
